Skip to content

Search Places

GET
/api/geocoding/search

Search for cities, towns, and places by name. Returns coordinates and location details for use with calculation endpoints.

Authorizations

ApiKeyAuth

API key for authentication. Get your API key from the dashboard.

Type
API Key (header: X-Api-Key)

Parameters

Query Parameters

q*
Type
string
Required
Min Length
2
Max Length
100
limit
Type
string
lang
Type
string
api
Type
string

Responses

List of matching places with coordinates

application/json
JSON
{
"data": [
{
"id": "string",
"name": "string",
"displayName": "string",
"latitude": 0,
"longitude": 0,
"country": "string",
"countryCode": "string",
"state": "string",
"timezone": "string",
"city": "string"
}
]
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

AstroAPI Documentation